Package org.apache.storm.hive.bolt.mapper

## Class JsonRecordHiveMapper

- java.lang.Object
- - org.apache.storm.hive.bolt.mapper.JsonRecordHiveMapper

- All Implemented Interfaces:
    `Serializable`, `HiveMapper`

      @Deprecated(since="2.7.1",
                  forRemoval=true)
      public class JsonRecordHiveMapper
      extends Object
      implements HiveMapper

  Deprecated, for removal: This API element is subject to removal in a future version.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JsonRecordHiveMapper()` | Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.hive.hcatalog.streaming.RecordWriter` | `createRecordWriter​(org.apache.hive.hcatalog.streaming.HiveEndPoint endPoint)` | Deprecated, for removal: This API element is subject to removal in a future version. Given a endPoint, returns a RecordWriter with columnNames.
    `List<String>` | `mapPartitions​(TridentTuple tuple)` | Deprecated, for removal: This API element is subject to removal in a future version. Given a TridetnTuple, return a hive partition values list.
    `List<String>` | `mapPartitions​(Tuple tuple)` | Deprecated, for removal: This API element is subject to removal in a future version. Given a tuple, return a hive partition values list.
    `byte[]` | `mapRecord​(TridentTuple tuple)` | Deprecated, for removal: This API element is subject to removal in a future version. Given a TridentTuple, maps to a HiveRecord based on columnFields.
    `byte[]` | `mapRecord​(Tuple tuple)` | Deprecated, for removal: This API element is subject to removal in a future version. Given a tuple, maps to a HiveRecord based on columnFields.
    `JsonRecordHiveMapper` | `withColumnFields​(Fields columnFields)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `JsonRecordHiveMapper` | `withPartitionFields​(Fields partitionFields)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `JsonRecordHiveMapper` | `withTimeAsPartitionField​(String timeFormat)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `void` | `write​(org.apache.hive.hcatalog.streaming.TransactionBatch txnBatch, Tuple tuple)` | Deprecated, for removal: This API element is subject to removal in a future version.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonRecordHiveMapper

          public JsonRecordHiveMapper()

      Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Method Detail

    - #### withColumnFields

          public JsonRecordHiveMapper withColumnFields​(Fields columnFields)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### withPartitionFields

          public JsonRecordHiveMapper withPartitionFields​(Fields partitionFields)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### withTimeAsPartitionField

          public JsonRecordHiveMapper withTimeAsPartitionField​(String timeFormat)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### createRecordWriter

          public org.apache.hive.hcatalog.streaming.RecordWriter createRecordWriter​(org.apache.hive.hcatalog.streaming.HiveEndPoint endPoint)
                                                                             throws org.apache.hive.hcatalog.streaming.StreamingException,
                                                                                    IOException,
                                                                                    ClassNotFoundException

      Deprecated, for removal: This API element is subject to removal in a future version.
      Description copied from interface: `HiveMapper`
      Given a endPoint, returns a RecordWriter with columnNames.
      Specified by:
        `createRecordWriter` in interface `HiveMapper`
      Throws:
        `org.apache.hive.hcatalog.streaming.StreamingException`
        `IOException`
        `ClassNotFoundException`

    - #### write

          public void write​(org.apache.hive.hcatalog.streaming.TransactionBatch txnBatch,
                            Tuple tuple)
                     throws org.apache.hive.hcatalog.streaming.StreamingException,
                            IOException,
                            InterruptedException

      Deprecated, for removal: This API element is subject to removal in a future version.
      Specified by:
        `write` in interface `HiveMapper`
      Throws:
        `org.apache.hive.hcatalog.streaming.StreamingException`
        `IOException`
        `InterruptedException`

    - #### mapPartitions

          public List<String> mapPartitions​(Tuple tuple)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Description copied from interface: `HiveMapper`
      Given a tuple, return a hive partition values list.
      Specified by:
        `mapPartitions` in interface `HiveMapper`

    - #### mapPartitions

          public List<String> mapPartitions​(TridentTuple tuple)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Description copied from interface: `HiveMapper`
      Given a TridetnTuple, return a hive partition values list.
      Specified by:
        `mapPartitions` in interface `HiveMapper`

    - #### mapRecord

          public byte[] mapRecord​(Tuple tuple)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Description copied from interface: `HiveMapper`
      Given a tuple, maps to a HiveRecord based on columnFields.
      Specified by:
        `mapRecord` in interface `HiveMapper`

    - #### mapRecord

          public byte[] mapRecord​(TridentTuple tuple)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Description copied from interface: `HiveMapper`
      Given a TridentTuple, maps to a HiveRecord based on columnFields.
      Specified by:
        `mapRecord` in interface `HiveMapper`